body {
  margin: 0;
  padding: 0;
}
a{
  text-decoration: none;
}
a.green-color{
  color: #3cb878;
}
a.underline:hover
{
  text-decoration: underline;
}
/*Головний контейнер*/
.container{
  height: 100vh;
  background: url("../assets/background.png")
  no-repeat center center fixed;
  /*Позиція має значення, background-size має бути після background*/
  background-size: cover;
  font-family: Verdana, "Courier New", sans-serif;
  position: relative;
}

/*Хедер з навыгацією*/
.navigation-wrap{
  color: #fff;
  height: 56px;
  font-size: 14px;
  line-height: 56px;
  background-color: rgba(0,0,0,0.41);
}
/*Додатковий контейнер з шириною*/
.navigation-width{
  margin: 0 auto;
  overflow: auto;
  max-width: 1366px;
}

/*Текстовий логотип ліворуч*/
.logo{
  color: #fff;
  float: left;
  font-size: 20px;
  margin-left: 81px;
  font-weight: bold;
}
.logo:hover{
  color: #3cb878;
}

/*Спрайти праворуч*/
.main-sprite{
  float: right;
  display: inline-block;
  background-repeat: no-repeat;
  background-image: url("../assets/sprite-top.png");
}
.calendar-sprite{
  width: 20px;
  height: 20px;
  margin: 18px 28px 0 0 ;
  background-position: 0 0 ;
}
.forum-sprite{
  width: 28px;
  height: 20px;
  margin: 18px 28px 0 0 ;
  background-position: -25px 0;
}
.journey-sprite{
  width: 20px;
  height: 20px;
  margin-top: 18px;
  background-position: -58px 0 ;
}
.calendar-sprite:hover{
  background-position: 0 -20px ;
}
.forum-sprite:hover{
  background-position: -25px -20px ;
}
.journey-sprite:hover{
  background-position: -58px -20px ;
}

/* Вертикальна лінія, яка розділяє спрайти від тексту праворуч*/
.vertical-line{
  width: 1px;
  height: 19px;
  float: right;
  display: block;
  margin: 18px 25px 0 24px;
  background-color: rgba(223,221,221,0.1);
}

/*Текст в хереді справа*/
.top-text{
  float: right;
  margin-right: 75px;
}

/*Блок з формою*/

/*експерементально
як вирівняти форму посередині по вертикалі
vertical-align: middle; не працює
*/

.vertical-position{
  position: absolute;
  top: 50%;
  left: 50%;
  /*margin: -338px 0 0 -222px;*/
  margin: -264px 0 0 -222px;
}

.new-account{
  width: 444px;
  height: 584px;
  border-radius: 10px;
  margin: 0  auto;
  background-color: #fff;
  box-shadow: 0 4px 18px rgba(0,0,0,0.52);
  position: relative;
}

/*Блок з Sign Up і Log In перед кнопками авторизації*/
.signup-login-block{
  width: 326px;
  margin: 0 auto;
  overflow: auto; /*clearfix*/
}
.signup-block:before{
  content: "";
  display: block;
  width: 18px;
  height: 18px;
  background-color: #3cb878;
  position: absolute;
  left: 0;
  top: 29px;
}
.signup-block{
  float: left;
  color: #434343;
  display: block;
  font-size: 20px;
  margin-top: 24px;
  letter-spacing: normal;
}

.login-block{
  float: right;
  color: #3cb878;
  display: block;
  font-size: 14px;
  margin-top: 29px;
  letter-spacing: normal;
}

/* Сплітер 'or', який розділяє кнопки авторизації
і форму реєстрації*/
.splitter{
  width: 322px;
  margin: 35px auto 0;
  font-size: 14px;
  line-height: 1px;
  color: #848484;
  position: relative;
  text-align: center;
}

.splitter::before,
.splitter::after{
  content: "";
  height: 1px;
  width: 135px;
  background-color: #eaeaea;
  position: absolute;
  top: 2px;
}
.splitter::before{
  left: 0;
}

.splitter::after{
  right: 0;
}

/*Кнопки Фейсбук, Гугл */
.social-auth-button{
  margin: 15px auto 0;
  width: 322px;
  overflow: auto; /*clearfix*/
}

.facebook-auth,
.google-auth{
  padding: 0;
  border: 0;
  color: #fff;
  width: 157px;
  height: 46px;
  font-size: 16px;
  border-radius: 3px;
}
.facebook-auth{
  float: left;
  background-color: #305db8;
  position: relative;
  letter-spacing: 0.8px;
}
.google-auth{
  float: right;
  background-color: #df4a32;
  position: relative;
  letter-spacing: 0.8px;
}
.facebook-auth:hover{
  background-color: #264b96;
}
.google-auth:hover{
  background-color: #c3412c;
}
.rectangle2{
  width: 1px;
  height: 28px;
  position: absolute;
  top: 9px;
  left: 47px;
  background-color: rgba(0,0,0,0.1);
}

.fb-btn,
.ggl-btn{
  display: inline-block;
  line-height: 46px;
}


/*Оформлення зовнішнього виду text, email, password*/
.main-form{
  margin-top: 23px;
}
input[type=text],
input[type=email],
input[type=password]{
  font-size: 14px;
  padding-left: 19px;
  margin: 9px auto 0;
  width: 322px;
  height: 46px;
  border-radius: 3px;
  box-sizing: border-box;
  border: 1px solid #eaeaea;
  display: block;
}

/*Оформлення фокусу */
input[type=text]:focus,
input[type=email]:focus,
input[type=password]:focus
{
  border: 0;
  outline: none; /*відключення рамки фокуса не впливаэ на border*/
  padding-left: 19px;
  margin-bottom: 18px;
  box-shadow: 0 3px 8px rgba(0, 0, 0, 0.21);
}

/*фіча для браузерів, зміна кольору placeholder'a*/
input::-moz-placeholder{
  letter-spacing: 0.8px;
  color: #bebebe;
}
input::-webkit-input-placeholder{
  letter-spacing: 0.8px;
  color: #bebebe;
}

/* check button, term and conditions*/
.check-term-condition{
  font-size: 14px;
  width: 322px;
  position: absolute;
  left: 61px;
  bottom: 106px;

}
.check-term-condition div{
  margin-left: 30px;
}

.check{
  width: 20px;
  height: 20px;
  position: absolute;
  margin: 0;
  left: 0;
}

/* Create Account button*/
.submit-btn{
  border: 0;
  color: #fff;
  width: 322px;
  height: 46px;
  display: block;
  font-size: 16px;
  border-radius: 3px;
  letter-spacing: 0.8px;
  background-color: #3cb878;
  position: absolute;
  bottom: 32px;
  left: 61px;
}
.submit-btn:hover{
  cursor: pointer;
  background-color: #329a65;
}

/*І так все зрозуміло*/
.cursor-pointer:hover{
  cursor: pointer;
}